* {
  box-sizing: border-box;
}

body {
  margin: 0;
  padding: 0;
  background: linear-gradient(45deg, black, rgb(120, 120, 255));
}

section {
  display: grid;
  gap: 2em;
  width: 100%;
  grid-auto-rows: 1fr;
  padding-left: 30px;
}

main>h1 {
  margin: 0 0 25px 55px !important;
  font-size: 50px;
}

div.book {
  text-align: center;
  color: white;
}

div.book>img {
  border-radius: 15px;
  margin: 10px;
  box-shadow: 0px 0px 15px black;
  transition-duration: 0.5s;
  width: 300px;
}

div.book>p {
  font-size: 1.3rem;
}

div.book>img:hover {
  transform: scale(1.05);
}

main {
  padding-top: 20px;
}

main * {
  z-index: 2;
}

canvas {
  z-index: 2 !important;
}

#particles {
  position: fixed;
  inset: 0;

  width: 100%;
  height: 100%;

  z-index: -1;
  pointer-events: none;
}

.divider {
  display: flex;
  align-items: center;
  gap: 1rem;
  margin: 20px;
}

.divider span {
  flex: 1;
  height: 2px;
  background: linear-gradient(to right,
      transparent,
      rgba(255, 255, 255, .4),
      rgba(255, 255, 255, .8));
}

.divider span:last-child {
  background: linear-gradient(to left,
      transparent,
      rgba(255, 255, 255, .4),
      rgba(255, 255, 255, .8));
}

.star {
  color: #d9c5ff;
  font-size: 1.3rem;
  text-shadow:
    0 0 8px rgba(180, 120, 255, .7),
    0 0 20px rgba(120, 90, 255, .4);
}

li {
  transition-duration: 0.3s;
}

li:hover {
  text-shadow: 0px 0px 2px white;
  transform: translateY(-5px);
}

.handles * {
  margin: 0 3px;
}

svg {
  color: white;
  transition-duration: 300ms;
  animation-timing-function: ease-in;
}

svg:hover {
  transform: translateY(-5px);
}

.hidden {
  opacity: 0;
  filter: blur(5px);
  transform: translateY(10%);
  transition: all 1.2s;
  transition-timing-function: ease-out;
}

.show {
  opacity: 1;
  filter: blur(0);
  transform: translateY(0);
}

@media (max-width: 2000px) {
  section {
    grid-template-columns: repeat(4, 350px);
  }

  div.book>img {
    width: 300px;
  }
}

@media (max-width: 1500px) {
  section {
    grid-template-columns: repeat(3, 350px);
  }

  div.book>img {
    width: 300px;
  }
}

@media (max-width: 1150px) {
  section {
    grid-template-columns: repeat(2, 1fr);
    justify-items: center;
    padding-left: 0;
  }

  main>h1 {
    margin-bottom: 15px !important;
  }

  main {
    padding-top: 10px;
  }

  div.book>img {
    width: 35vw;
  }
}

@media (max-width: 600px) {
  section {
    grid-template-columns: 1fr;
    justify-items: center;
    padding-left: 0;
  }

  div.book>img {
    width: 60vw;
  }

  main>h1 {
    text-align: center;
    margin: auto auto 30px auto !important;
  }
}